> ## Documentation Index
> Fetch the complete documentation index at: https://docs.minestorecms.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Patrons Page

> Retrieves the list of patrons based on their contributions.



## OpenAPI

````yaml GET /patrons/get
openapi: 3.0.0
info:
  title: MineStoreCMS REST API
  description: Documentation for MineStoreCMS Frontend REST API.
  version: 3.8.7
servers:
  - url: https://v3.minestorecms.com/api
    description: Example URL of Demo Server
security: []
tags: []
paths:
  /patrons/get:
    get:
      tags:
        - Patrons
        - Pages
      summary: Get Patrons
      description: Retrieves the list of patrons based on their contributions.
      operationId: getPatrons
      responses:
        '200':
          description: Successful response
          content:
            application/json:
              schema:
                type: object
                properties:
                  success:
                    type: boolean
                  currency_code:
                    type: string
                    example: USD
                  description:
                    type: string
                    example: Support our project by becoming a patron!
                  top_patrons:
                    type: array
                    items:
                      type: object
                      properties:
                        username:
                          type: string
                          example: john_doe
                        amount:
                          type: number
                          format: float
                          example: 150.5
                  patrons:
                    type: object
                    additionalProperties:
                      type: array
                      items:
                        type: string
                        example: jane_doe
        '400':
          description: Bad request or module disabled
          content:
            application/json:
              schema:
                type: object
                properties:
                  success:
                    type: boolean
                    example: false
                  error:
                    type: string
                    example: Patrons module is disabled or not configured.

````